{
  description = "The blog hosted at https://blog.polynom.me";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/21.11";
    assets.url = "git+https://git.polynom.me/polynom.me/shared-assets.git";
  };

  outputs = {
    self,
    nixpkgs,
    assets
  }: let
    supportedSystems = [ "x86_64-linux" ];
    forAllSystems = nixpkgs.lib.attrsets.genAttrs supportedSystems;
  in {
    packages = forAllSystems (system: let
      pkgs = import nixpkgs { inherit system; };
    in {
      default = pkgs.callPackage ./pkgs/blog.nix {
        shared-assets = assets.packages.${system}.default;
      };
    });

    devShell = forAllSystems (system: let
      pkgs = import nixpkgs { inherit system; };
      pythonEnv = pkgs.python3.withPackages (ps: with ps; [ markdown ]);
    in pkgs.mkShell {
      buildInputs = with pkgs; [
        pythonEnv gnumake imagemagick
      ];
    });
  };
}
